CREATE TABLE xplugin_jst_eu_cookie_scripts (
  kId int(11) NOT NULL AUTO_INCREMENT,
  cName varchar(100) NOT NULL,
  cTitle varchar(100) NOT NULL,
  cBeschreibung varchar(1000),
  cWert varchar(500) NOT NULL,
  cSrc varchar(500) DEFAULT NULL,
  kKategorie int(11) DEFAULT NULL,
  bZugeordnet boolean DEFAULT false,
  cHash varchar (50) NOT NULL,
  UNIQUE KEY uniqueWert(cHash),
  PRIMARY KEY (kId)
);


CREATE TABLE xplugin_jst_eu_cookie_scan (
  dLastScan datetime,
  PRIMARY KEY (dLastScan)
);

CREATE TABLE xplugin_jst_eu_cookie_categories (
  kKategorie int(11) NOT NULL AUTO_INCREMENT,
  cName varchar(100) NOT NULL,
  PRIMARY KEY (kKategorie)
);

INSERT INTO xplugin_jst_eu_cookie_categories (kKategorie, cName) VALUES (1, 'Kein Cookie');
INSERT INTO xplugin_jst_eu_cookie_categories (kKategorie, cName) VALUES (2, 'notwendig');
INSERT INTO xplugin_jst_eu_cookie_categories (kKategorie, cName) VALUES (3, 'Marketing');
INSERT INTO xplugin_jst_eu_cookie_categories (kKategorie, cName) VALUES (4, 'Analytics');

CREATE TABLE xplugin_jst_eu_cookie_cookies (
  kId int(11) NOT NULL AUTO_INCREMENT,
  cName varchar(100) NOT NULL,
  cCookieName varchar(100) NOT NULL,
  cDomain varchar(100) NOT NULL,
  bHttpOnly boolean DEFAULT false,
  cMaxAge varchar(50) NOT NULL,
  cPath varchar(50) NOT NULL,
  kKategorie int(11) DEFAULT NULL, 
  bZugeordnet boolean DEFAULT false,
  cBeschreibung varchar(500),
  UNIQUE KEY uniqueWert(cCookieName),
  PRIMARY KEY (kId)
);

CREATE TABLE xplugin_jst_eu_cookie_scripts_whitelist (
  kId int(11) NOT NULL AUTO_INCREMENT,
  cName	varchar(50),
  cBeschreibung	varchar(500) NULL,
  cHash	varchar(50),
  kKategorie int(11),
  cWert	varchar(500) NULL,  
  PRIMARY KEY (kId)
);

CREATE TABLE xplugin_jst_eu_cookie_cookies_whitelist (
  kId int(11) NOT NULL AUTO_INCREMENT,
  cName	varchar(50),
  cCookieName varchar(50) NOT NULL,
  kKategorie int(11),
  cBeschreibung	varchar(500),
  PRIMARY KEY (kId)
);

CREATE TABLE xplugin_jst_eu_cookie_keywords (
  kId int(11) NOT NULL AUTO_INCREMENT,
  cName varchar(50) NOT NULL,
  cKeywords varchar(50) NOT NULL,
  kKategorie int(11) DEFAULT NULL,
  PRIMARY KEY (kId)
);

INSERT INTO `xplugin_jst_eu_cookie_keywords` (`cName`, `cKeywords`, `kKategorie`) VALUES
('Dropper', 'dropper',	1),
('Slider',	'slider', 1),
('Amazon',	'amazon', 3),
('Twitter',	'twitter', 3),
('Facebook', 'facebook, fbp', 3),
('Schema.org', 'schema', 1),
('Paypal', 'paypal',	3),
('Template', 'templates/evo,templates/,evo',	1),
('Nosto',	'nosto', 3),
('Shop-Logo',	'sendinglbue, sib', 1),
('Google-Analytics', 'google-analytics,google,gtag' , 4),
('Privy', 'privy', 3);


INSERT INTO `xplugin_jst_eu_cookie_scripts_whitelist` (`kId`, `cName`, `cBeschreibung`, `cHash`, `kKategorie`, `cWert`) VALUES
(1,	'EU-Cookie PopUp',	'Wird bentigt, um das PopUp fr die Auswahl der zu blockenden Cookies anzuzeigen.',	'bca5f0a81c450993b65c42a75c9f4588',	1,	'/includes/plugins/jst_eu_cookie/version/105/frontend/js/cookie_modal.js'),
(2,	'Evo-Template',	'Notwendiges Script zur korrekten anzeige des Evo-Templates.',	'4988ea97b2ef49b4052e8439886e6b17',	1,	'templates/Evo/js/jquery-1.12.4.min.js'),
(4,	'EU-Cookie Plugin',	'Cookie des EU Cookie Plugins, der zum blocken anderer Cookies bentigt wird.',	'53b941e31004dc5cb2e56425a54fb4a3',	2,	'!function(e,t){\"object\"==typeofexports&&\"object\"==typeofmodule?module.exports=t():\"function\"==typeofdefine&&define.amd?define([],t):\"object\"==typeofexports?exports.klaro=t():e.klaro=t()}(window,(function(){returnfunction(e){vart={};functionn(o){if(t[o])returnt[o].exports;vari=t[o]={i:o,l:!1,exports:{}};returne[o].call(i.exports,i,i.exports,n),i.l=!0,i.exports}returnn.m=e,n.c=t,n.d=function(e,t,o){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:o})},n.r=function(e){\"undefined\"!=typeofSymbo'),
(5,	'Google-Analytics',	'Setzt die Cookies zum Tracking von Google-Analytics.',	'106ed3383bb1b1292b52f76bb5414735',	4,	'functiongaOptout(){document.cookie=disableStr+\'=true;expires=Thu,31Dec209923:59:59UTC;path=/\';window[disableStr]=true;}vargaProperty=\'UA-110356707-2\';vardisableStr=\'ga-disable-\'+gaProperty;if(document.cookie.indexOf(disableStr+\'=true\')>-1){window[disableStr]=true;}else{var_gaq=_gaq||[];_gaq.push([\'_setAccount\',\'UA-110356707-2\']);_gaq.push([\'_gat._anonymizeIp\']);_gaq.push([\'_trackPageview\']);(function(){varga=document.createElement(\'script\'),s;ga.type=\'text/javascript\';ga.async=true;ga.src=(\'http'),
(6,	'Evo-Template',	'Script zur Anzeige der Slider im Evo-Template',	'db6d5df4e6f5451d3983ebaa132bf1ba',	1,	'jtl.load([\"templates/Evo/js/jquery.touch.min.js?v=4.06\",\"templates/Evo/js/jquery.backstretch.min.js?v=4.06\",\"templates/Evo/js/jquery.dimension.js?v=4.06\",\"templates/Evo/js/jquery.offcanvas.js?v=4.06\",\"templates/Evo/js/jquery.nivo.slider.pack.js?v=4.06\",\"templates/Evo/js/jquery.waitforimages.js?v=4.06\",\"templates/Evo/js/jquery.lazy.js?v=4.06\",\"templates/Evo/js/jquery.serialize-object.js?v=4.06\",\"templates/Evo/js/bootstrap.min.js?v=4.06\",\"templates/Evo/js/bootstrap-tabdrop.js?v=4.06\",\"templates/Ev'),
(8,	'jQuery 1.12min',	'Bindet jQuery ein',	'b1302bbd7fabae76a7cbc049dab10794',	1,	'//code.jquery.com/jquery-1.12.0.min.js'),
(9,	'Google Charts',	'Stellt Diagramme und Grafiken dar',	'de030a0d5975e90c1b9a84e6bf00f918',	1,	'https://www.gstatic.com/charts/loader.js'),
(10,	'Slick js min',	'Bindet Javascript zum darstellen von Slidern ein',	'9d9259be4f02f929d89d47d2f803d0f2',	1,	'/includes/plugins/jst_herstellerlogos/version/111/frontend/js/slick.min.js'),
(11,	'Slider',	'Verwendet den Slick-Slider',	'fd17a73e00f7bcda37962656216e9279',	1,	'/includes/plugins/jst_herstellerlogos/version/111/frontend/js/slider.js'),
(12,	'Google Analytics',	'Setzt die Cookies zum Tracking von Google-Analytics.',	'a0836d180f082851e5939ebe6595ea9d',	4,	'https://www.googletagmanager.com/gtag/js?id=AW-1017950546'),
(13,	'AmazonPay',	'Wird fr den Bezahlvorgang mit einem Amazon Konto bentigt',	'd5f0de46cbc2d77d49b4078f3399a831',	2,	'https://static-eu.payments-amazon.com/OffAmazonPayments/de/lpa/js/Widgets.js'),
(14,	'Bewertungen Trustami',	'Bindet die CDN von Trustami ein',	'34661b27c79dfe0fa5aec8835b16ac43',	1,	'https://cdn.trustami.com/widgetapi/widget2/trustami-widget.js'),
(15,	'Pricium',	'Bindet ein Pricium Script zur Preisoptimierung ein welches Cookies benutzt',	'8d8650a3c20854aa4d963f67f8a13776',	3,	'https://priciumbackend.com/script/V1/'),
(16,	'Weiterlesen Funktion',	'Implementiert die Funktionalitt um Texte aus- und einklappen zu knnen',	'573a9d681bdb7bab8387cf6b0d858942',	1,	'$(function(){$(\".weitereLaden\").click(function(){if($(this).text()==\"weitereanzeigen\"){$(this).parent().find(\"li.notVisible\").toggleClass(\"nowVisiblenotVisible\");$(this).text(\"wenigeranzeigen\");}else{$(this).parent().find(\"li.nowVisible\").toggleClass(\"nowVisiblenotVisible\");$(this).text(\"weitereanzeigen\");}});});'),
(17,	'Breadcrumbs',	'Fgt Breadcrumbs zur Navigation der Seite hinzu',	'596c4f0c79227fdaad20e60221b633b4',	1,	'{\"@context\":\"http://schema.org\",\"@type\":\"BreadcrumbList\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"item\":{\"@id\":\"\",\"name\":\"\"}},{\"@type\":\"ListItem\",\"position\":2,\"item\":{\"@id\":\"\",\"name\":\"\"}}]}'),
(18,	'AmazonPay Login',	'Wird zum Login in das Amazon Konto bentigt',	'3721055d1e7c43a254db7bca01eafdad',	NULL,	'window.lpaCallbacksExecuted=false;window.onAmazonLoginReady=function(){amazon.Login.setClientId(\'amzn1.application-oa2-client.5b5e251c9b6a4bb99bae2e5eaa0ef53f\');amazon.Login.setUseCookie(true);amazon.Login.setSandboxMode(0);};window.onAmazonPaymentsReady=function(){/*preventslaterscriptsfromregisteringtoolatefortheeventiftheasyncwasloaded\"toofast\"*/window.lpaCallbacksExecuted=true;if(typeofwindow.lpaCallbacks===\"undefined\"){window.lpaCallbacks=[];}for(vari=0;i<window.lpaCallbacks.length;i++){win'),
(19,	'AmazonPay',	'Wird fr den Bezahlvorgang mit einem Amazon Konto bentigt',	'9f2bda306a82fc241cebb50b2220207f',	2,	'/*AJAXURLdefinitions*/varlpa_ajax_url_update_delivery_selection=\'/includes/plugins/s360_amazon_lpa_shop4/version/118/frontend/ajax/lpa_ajax_update_delivery_selection.php\';varlpa_ajax_url_update_selected_shipping_method=\'/includes/plugins/s360_amazon_lpa_shop4/version/118/frontend/ajax/lpa_ajax_update_selected_shipping_method.php\';varlpa_ajax_url_confirm_order=\'https://www.fischfuttertreff.de/includes/plugins/s360_amazon_lpa_shop4/vers'),
(20,	'Google Analytics',	'Setzt die Cookies zum Tracking von Google-Analytics.',	'938b9c83188a00cce5492e1c87c159a2',	4,	'window.dataLayer=window.dataLayer||[];functiongtag(){dataLayer.push(arguments);}gtag(\'js\',newDate());gtag(\'config\',\'\');'),
(21,	'Privy',	'Schaut ob das Privy-Popup schon gezeigt wurde',	'05e2a905991a64d6fc297f1aa1a73d65',	3,	'var_d_site=_d_site||\'E57991F7E0799554D7C68614\';(function(p,r,i,v,y){p[i]=p[i]||function(){(p[i].q=p[i].q||[]).push(arguments)};v=r.createElement(\'script\');v.async=1;v.src=\'https://widget.privy.com/assets/widget.js\';y=r.getElementsByTagName(\'script\')[0];y.parentNode.insertBefore(v,y);})(window,document,\'Privy\');'),
(22,	'AmazonPay Login',	'Regelt den Login in das Amazon Konto',	'92123a8714013df330126768a314d89e',	1,	'varamazonPaymentsButtonFunc=function(){varauthRequest;OffAmazonPayments.Button(\"AmazonPayButton_1\",\"A3H4RS17CHDV7D\",{type:\"LwA\",color:\"Gold\",size:\"small\",language:\"de-DE\",useAmazonAddressBook:true,authorization:function(){loginOptions={scope:\"profilepayments:widgetpayments:shipping_address\",popup:false};authRequest=amazon.Login.authorize(loginOptions,\"\");},onError:function(error){console.log(error);}});};if(typeofwindow.lpaCallbacksExecuted===\"undefined\"||'),
(23,	'Slider',	'Stellt die Funktionalitt fr den Nivo-Slider bereit',	'8149825c0a8921359c349268dbcfb563',	1,	'jtl.ready(function(){$(\'a.slide\').click(function(){if(!this.href.match(newRegExp(\'^\'+location.protocol+\'\\\\/\\\\/\'+location.host))){this.target=\'_blank\';}});varslider=$(\'#slider-1\');slider.nivoSlider({effect:\'fade\',animSpeed:300,pauseTime:50000,directionNav:1,controlNav:1,controlNavThumbs:0,pauseOnHover:1,prevText:\'Zurück\',nextText:\'Weiter\',randomStart:0,afterLoad:function(){slider.addClass(\'loaded\');}});});'),
(24,	'JTL Plugin Loader PayPal',	'Ldt das PayPal-Plugin in den Shop',	'4a5a42d5a024241eeeff0b6d31c87225',	1,	'jtl.load([\"includes/plugins/jst_video_connect/version/112/frontend/js/jst_VideoWall.js?v=4.06\",\"includes/plugins/jtl_paypal/version/110/frontend/js/paypal.js?v=4.06\",\"templates/Evo/js/jquery.touch.min.js?v=4.06\",\"templates/Evo/js/jquery.backstretch.min.js?v=4.06\",\"templates/Evo/js/jquery.dimension.js?v=4.06\",\"templates/Evo/js/jquery.offcanvas.js?v=4.06\",\"templates/Evo/js/jquery.nivo.slider.pack.js?v=4.06\",\"templates/Evo/js/jquery.waitforimages.js?v=4.06\",\"templates/Evo/js/jquery.lazy.js?v=4.06\",'),
(25,	'TrustedShop Icon',	'Fgt den TrustedShop Badge in der Ecke hinzu',	'68f1c4656b97e87af66f4a035130314e',	1,	'(function(){var_tsid=\'XC61EB43DE888DEC4526BBCECDA629D47\';_tsConfig={\'yOffset\':\'0\',/*offsetfrompagebottom*/\'variant\':\'reviews\',/*reviews,default,custom,custom_reviews*/\'customElementId\':\'\',/*requiredforvariantscustomandcustom_reviews*/\'trustcardDirection\':\'\',/*forcustomvariants:topRight,topLeft,bottomRight,bottomLeft*/\'customBadgeWidth\':\'\',/*forcustomvariants:40-90(inpixels)*/\'customBadgeHeight\':\'\',/*forcustomvariants:40-90(inpixels)*/\'disableResponsive\':\'false\',/*deactivateresponsivebehaviour*/\''),
(26,	'Breadcrumbs',	'Fgt Breadcrumbs zur Navigation der Seite hinzu',	'58cb44ef15e1a1c408a230a0bdb16863',	1,	'{\"@context\":\"http://schema.org\",\"@type\":\"BreadcrumbList\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"item\":{\"@id\":\"\",\"name\":\"\"}},{\"@type\":\"ListItem\",\"position\":2,\"item\":{\"@id\":\"\",\"name\":\"warenkorb.php\"}}]}'),
(27,	'Breadcrumbs',	'Fgt Breadcrumbs zur Navigation der Seite hinzu',	'dd0d749f74dc3d7fdf78410797dbeb2c',	1,	'{\"@context\":\"http://schema.org\",\"@type\":\"BreadcrumbList\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"item\":{\"@id\":\"\",\"name\":\"\"}},{\"@type\":\"ListItem\",\"position\":2,\"item\":{\"@id\":\"\",\"name\":\"Kabel\"}}]}'),
(28,	'Breadcrumbs',	'Fgt Breadcrumbs zur Navigation der Seite hinzu',	'557e8f02e7d06dbf58ecc5d00f371f12',	1,	'{\"@context\":\"http://schema.org\",\"@type\":\"BreadcrumbList\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"item\":{\"@id\":\"\",\"name\":\"\"}},{\"@type\":\"ListItem\",\"position\":2,\"item\":{\"@id\":\"\",\"name\":\"HDMI-Kabel\"}}]}');

INSERT INTO `xplugin_jst_eu_cookie_cookies_whitelist` (`kId`, `cName`, `cCookieName`, `kKategorie`, `cBeschreibung`) VALUES
(1,	'JTL-Shop Cookie',	'JTLSHOP',	2,	'Dieser Cookie wird vom Shop gesetzt und ist fr die Funktionalitt unbedingt notwendig.');
