-- ------------------------------- Sources -------------------------------

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_sources (
    kId              int(11)      NOT NULL AUTO_INCREMENT,
    cType            varchar(50)  NOT NULL,
    cParentServiceId varchar(32) DEFAULT NULL,
    kParentCategory  tinyint     DEFAULT NULL,
    cSource          varchar(500) NOT NULL,
    cSourceHash      varchar(50)  NOT NULL,
    bAssigned        boolean     DEFAULT false,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cSourceHash)
) ;

-- Eu-Cookie Cookie
INSERT INTO xplugin_jst_eu_cookie_sources (cType , cParentServiceId, kParentCategory, cSource, cSourceHash, bAssigned, jAttributes, jTranslations)
VALUES ('httpHeader', 'b209404849c0357500f7a82a6899961a', 2, 'eu_cookie_store', 'c7f589f05926838635824f951b0f5a34', false, '{"overwrite":false}', '{"name":{"de":"Eu-Cookie Cookie","en":"Eu-Cookie Cookie"}}')
ON DUPLICATE KEY UPDATE cType = 'httpHeader', cParentServiceId = 'b209404849c0357500f7a82a6899961a', kParentCategory = 2, cSource = 'eu_cookie_store', cSourceHash = 'c7f589f05926838635824f951b0f5a34', bAssigned = false, jAttributes = '{"overwrite":false}', jTranslations = '{"name":{"de":"Eu-Cookie Cookie","en":"Eu-Cookie Cookie"}}';

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_sources_database (
    kId              int(11)      NOT NULL AUTO_INCREMENT,
    cType            varchar(50)  NOT NULL,
    cParentServiceId varchar(32)  NOT NULL,
    kParentCategory  tinyint      NOT NULL,
    cSource          varchar(500) NOT NULL,
    cSourceHash      varchar(50)  NOT NULL,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cSourceHash)
) ;

-- ------------------------------- Cookies -------------------------------

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_cookies_new (
    kId              int(11)      NOT NULL AUTO_INCREMENT,
    cCookieName      varchar(50)  NOT NULL,
    cParentSourceHash varchar(32) DEFAULT NULL,
    bAssigned        boolean      DEFAULT false,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cParentSourceHash)
) ;

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_cookies_new_database (
    kId              int(11)      NOT NULL AUTO_INCREMENT,
    cCookieName      varchar(50)  NOT NULL,
    cParentSourceHash varchar(32)  NOT NULL,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cParentSourceHash)
) ;

-- ---------------------------- Services ----------------------------

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_services (
    kId              int(11)     NOT NULL AUTO_INCREMENT,
    cServiceId       varchar(32) DEFAULT NULL,
    cServiceIdString varchar(100) DEFAULT NULL,
    kCategory        tinyint DEFAULT NULL,
    bAssigned        boolean DEFAULT false,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cServiceId)
) ;

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_services_database (
    kId              int(11)     NOT NULL AUTO_INCREMENT,
    cServiceId       varchar(32) NOT NULL,
    cServiceIdString varchar(100) DEFAULT NULL,
    kCategory        tinyint     NOT NULL,
    jAttributes      LONGTEXT collate utf8mb4_bin,
    jTranslations    LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (cServiceId)
) ;

-- ------------------------- Categories ---------------------------

DROP TABLE xplugin_jst_eu_cookie_categories ;

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_categories (
    kId           int(11)    NOT NULL AUTO_INCREMENT,
    kCategory     TINYINT    DEFAULT NULL,
    jAttributes   LONGTEXT collate utf8mb4_bin,
    jTranslations LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kId),
    UNIQUE (kCategory)
) ;

INSERT INTO xplugin_jst_eu_cookie_categories (kCategory, jTranslations) VALUES (1, '{"name":{"de":"Kein Cookie","en":"No Cookie"}}') ;
INSERT INTO xplugin_jst_eu_cookie_categories (kCategory, jTranslations) VALUES (2, '{"name":{"de":"Notwendig","en":"Necessary"}}') ;
INSERT INTO xplugin_jst_eu_cookie_categories (kCategory, jTranslations) VALUES (3, '{"name":{"de":"Marketing","en":"Marketing"}}') ;
INSERT INTO xplugin_jst_eu_cookie_categories (kCategory, jTranslations) VALUES (4, '{"name":{"de":"Analytics","en":"Analytics"}}') ;

-- ------------------------- Consent Log ----------------------------
RENAME TABLE xplugin_jst_eu_cookie_consent_log TO xplugin_jst_eu_cookie_consent_log_legacy ;

-- Only for the jtl shop, so it deletes xplugin_jst_eu_cookie_consent_log_legacy on uninstall
CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_consent_log_legacy (
    kLogId          int(11)         AUTO_INCREMENT,
    PRIMARY KEY (kLogId)
) ;

CREATE TABLE IF NOT EXISTS xplugin_jst_eu_cookie_consent_log (
    kLogId          int(11)         AUTO_INCREMENT,
    cIpAddressHash  varchar(32)     NOT NULL,
    dCreateDate     TIMESTAMP       NOT NULL DEFAULT CURRENT_TIMESTAMP,
    dExpiryDate     datetime        DEFAULT 0,
    jConsent        LONGTEXT collate utf8mb4_bin,
    PRIMARY KEY (kLogId)
) ;
